
package com.lideeyunji.core.framework.service;

import com.lideeyunji.core.framework.entity.HistoryDesformEntity;
import com.lideeyunji.core.framework.params.vo.history.HistoryJavaVo;
import com.lideeyunji.core.framework.params.vo.history.HistorySqlVo;
import com.lideeyunji.core.framework.params.vo.history.HistoryJsVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * 历史记录
 */
public interface IHistoryService {


    //获取历史记录-表单设计
    IPage<HistoryDesformEntity> getDesFormPages(Long desformId, Page page);
    HistoryDesformEntity getDesFormInfo(Long historyId);


    //获取历史记录-JS增强
    IPage<HistoryJsVo> getHistoryJsPages(Long enhanceJsId, Page page);
    HistoryJsVo getHistoryJsInfo(Long historyId);

    //获取历史记录-Sql增强
    IPage<HistorySqlVo> getHistorySqlPages(Long enhanceSqlId, Page page);
    HistorySqlVo getHistorySqlInfo(Long historyId);

    //获取历史记录-java增强
    IPage<HistoryJavaVo> getHistoryJavaPages(Long enhanceJavaId, Page page);
    HistoryJavaVo getHistoryJavaInfo(Long historyId);
}
